Subject: Re: bug#64055: [WIP Patch] Enable editing commit messages - vc-git-modify-change-comment

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Oct 2024 12:14:10 +0300

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Fri, 18 Oct 2024 14:20:23 +0800
> 
> On Fri 18 Oct 2024 at 08:26am +03, Eli Zaretskii wrote:
> 
> > The commit log message for the changes doesn't mention the bug number;
> > please always remember to do that in the future.  In this case, the
> > discussion leading to the change is long and significant, so including
> > a pointer to it is important for future forensics.
> 
> In this case, my commits didn't add vc-git-modify-change-comment, and
> most of the discussion in this bug has been about that.  So, I thought
> that it would be best to include the bug number in the later commit
> adding vc-git-modify-change-comment, and not in any commits I've made so
> far.  Would you prefer that it had been included in all of them?

Definitely.  It is otherwise very hard to realize that the discussion
of these changes happened in this particular bug.

> > More importantly, why are we installing changes in VC that are
> > supported by a single backend?  This is against the VC design
> > principles.  Let's please install soon implementations for other
> > relevant backends.  I think this should be very simple, but if you
> > need help for some backends, feel free to ask for it.
> 
> Actually, in this case, the functionality already exists for SCCS, RCS,
> CVS, SVN and Hg in log-view-extract-comment, and I was just adding
> support for Git.

That's definitely not what the comments and the implementation convey.
And I then understand even less why the backend action was added for
Git in the first place.

> > Btw, since CVS has an existing command-line option to amend the log
> > message of a particular commit, I wonder whether the design that goes
> > through a separate backend function which extracts the comment first
> > is valid.
> 
> We still need to extract the comment first so that the user has some
> text to edit.

Are we envisioning the user invoking this from anything other than a
log buffer?  Why would someone want to do that?